#include "Task.h"

namespace nemo_interface {

Task::Task(const Task::Functor &onExec)
    : _onExec(onExec), _isExpired([] { return false; }),
      _isReady([] { return true; }) {}

void Task::exec(std::promise<QVariant> p) { this->_onExec(std::move(p)); }

} // namespace nemo_interface
